#!/bin/sh
mypath=${0%/*}

PATH=$PATH:$mypath

S1=/mmc/mmca1/Personal
S2=/mmc/mmca1/.Personal
if [ ! -d $S1 ] && [ ! -d $S2 ]
then
	mkdir $S1
fi
PWD_FILE=$mypath/password
PASSWORD="`cat $PWD_FILE`"

check_passwd () {
	TEXTNAME=`$mypath/showTextEntry 1 "Verify password" "Enter your password"`
	if [ $? != 0 ] && [ "$TEXTNAME" = $PASSWORD ]
	then
		$1
		break
	else
		invalid_pass
	fi
}

invalid_pass () {
	showNotify "" "Invalid password" 1 2
}

hide () {
	mv $S1 $S2
	showNotify "" "Personal folder is hidden" 1 2
}

open () {
	mv $S2 $S1
	showNotify "" "Personal folder is open" 1 2
}


change_pwd() {
	texta="`$mypath/showTextEntry 1 'Authentication' 'Enter a new password'`"
	textb="`$mypath/showTextEntry 1 'Test' 'Enter the new password again'`"
	if [ "$texta" = "$textb" ]
	then
		echo "$textb" > $PWD_FILE
		showNotify "" "Password changed" 1 2
		break
	else
		showNotify "" "Passwords do not match" 1 2
		break
	fi
}

MODE=nil

if [ -d $S1 ]
then
	PROMPT="Hide Folder"
	MODE=hide
else 
	if [ -d $S2 ]
	then
		PROMPT="Open folder"
		MODE=open
	fi
fi

if [ $MODE = "nil" ]
then 
	exit
fi

showRadio "Personal Folder" "Select :" "$PROMPT" 'Change Password'
RADIORES=$?
case "$RADIORES" in
        "1")
                check_passwd $MODE
                ;;
        "2")
                check_passwd change_pwd
                ;;
esac
